## mx4j.tools.remote.resolver.burlap
Class BURLAPResolver

    java.lang.Object
      mx4j.remote.ProviderHelper
          mx4j.remote.ConnectionResolver
              mx4j.tools.remote.http.HTTPResolver
                  mx4j.tools.remote.resolver.burlap.BURLAPResolver

public class BURLAPResolver
extends HTTPResolver

Version:
  $Revision: 1.3 $

Constructor Summary
`BURLAPResolver()`

Method Summary
`protected java.lang.String` `getServletClassName()`
`java.lang.Object` `lookupClient(javax.management.remote.JMXServiceURL url, java.util.Map environment)` Looks up a connection with the server side as specified in the given JMXServiceURL.

Methods inherited from class mx4j.tools.remote.http.HTTPResolver
`bindClient, bindServer, createServer, deploy, destroyServer, getEndpoint, getEndpointProtocol, unbindServer, undeploy`

Methods inherited from class mx4j.remote.ConnectionResolver
`newConnectionResolver`

Methods inherited from class mx4j.remote.ProviderHelper
`constructClassName, findSystemPackageList, getLogger, loadClass, normalizeProtocol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BURLAPResolver

    public BURLAPResolver()

Method Detail

### lookupClient

    public java.lang.Object lookupClient(javax.management.remote.JMXServiceURL url,
                                         java.util.Map environment)
                                  throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Looks up a connection with the server side as specified in the given JMXServiceURL. This method is used in implementations of `JMXConnector.connect()`.

  Specified by:
    `lookupClient` in class `ConnectionResolver`
  Throws:
    `java.io.IOException`
  See Also:
    `ConnectionResolver.bindClient(java.lang.Object, java.util.Map)`

### getServletClassName

    protected java.lang.String getServletClassName()

  Specified by:
    `getServletClassName` in class `HTTPResolver`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.